package com.izouma.awesomeadmin.dao;

import com.izouma.awesomeadmin.datasource.DataSource;
import com.izouma.awesomeadmin.model.CommonQuery;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@DataSource("dataSource")
@Repository("com.izouma.awesomeadmin.dao.CommonQueryMapper")
public interface CommonQueryMapper {


    List<Map> getTableListByPage(Map<String, Object> parameter);

    List<Map> getTableListAll(CommonQuery record);

    Map selectByPrimaryKey(CommonQuery record);

    int insertSelective(Map<String, Object> parameter);

    int updateByPrimaryKeySelective(Map<String, Object> parameter);

    int delete(CommonQuery record);
}
